<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:18:57 CEST 2020 -->
<title>Class Hierarchy</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/polarsys/chess/fla/package-tree.html">org.polarsys.chess.fla</a>, </li>
<li><a href="org/polarsys/chess/fla/common/package-tree.html">org.polarsys.chess.fla.common</a>, </li>
<li><a href="org/polarsys/chess/fla/impl/package-tree.html">org.polarsys.chess.fla.impl</a>, </li>
<li><a href="org/polarsys/chess/fla/launch/package-tree.html">org.polarsys.chess.fla.launch</a>, </li>
<li><a href="org/polarsys/chess/fla/preferences/package-tree.html">org.polarsys.chess.fla.preferences</a>, </li>
<li><a href="org/polarsys/chess/fla/transformations/package-tree.html">org.polarsys.chess.fla.transformations</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
<ul>
<li type="circle">org.polarsys.chess.fla.preferences.<a href="org/polarsys/chess/fla/preferences/PreferenceInitializer.html" title="class in org.polarsys.chess.fla.preferences"><span class="typeNameLink">PreferenceInitializer</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.jface.dialogs.DialogPage (implements org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider)
<ul>
<li type="circle">org.eclipse.jface.preference.PreferencePage (implements org.eclipse.jface.preference.IPreferencePage)
<ul>
<li type="circle">org.eclipse.jface.preference.FieldEditorPreferencePage (implements org.eclipse.jface.util.IPropertyChangeListener)
<ul>
<li type="circle">org.polarsys.chess.fla.preferences.<a href="org/polarsys/chess/fla/preferences/ConcertoFlaPreferencePage.html" title="class in org.polarsys.chess.fla.preferences"><span class="typeNameLink">ConcertoFlaPreferencePage</span></a> (implements org.eclipse.ui.IWorkbenchPreferencePage)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.core.commands.common.EventManager
<ul>
<li type="circle">org.eclipse.core.commands.AbstractHandler (implements org.eclipse.core.commands.IHandler2)
<ul>
<li type="circle">org.polarsys.chess.fla.launch.<a href="org/polarsys/chess/fla/launch/FlaAnalysisCommand.html" title="class in org.polarsys.chess.fla.launch"><span class="typeNameLink">FlaAnalysisCommand</span></a></li>
<li type="circle">org.polarsys.chess.fla.launch.<a href="org/polarsys/chess/fla/launch/FlaAnalysisCommandXml.html" title="class in org.polarsys.chess.fla.launch"><span class="typeNameLink">FlaAnalysisCommandXml</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.impl.<a href="org/polarsys/chess/fla/impl/FlaAnalysisRunner.html" title="class in org.polarsys.chess.fla.impl"><span class="typeNameLink">FlaAnalysisRunner</span></a> (implements org.eclipse.jface.operation.IRunnableWithProgress)
<ul>
<li type="circle">org.polarsys.chess.fla.impl.<a href="org/polarsys/chess/fla/impl/FlaAnalysisRunnerXml.html" title="class in org.polarsys.chess.fla.impl"><span class="typeNameLink">FlaAnalysisRunnerXml</span></a></li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.common.<a href="org/polarsys/chess/fla/common/FlaLogger.html" title="class in org.polarsys.chess.fla.common"><span class="typeNameLink">FlaLogger</span></a> (implements org.polarsys.chess.fla.flamm.analysis.FlaLogger)</li>
<li type="circle">org.polarsys.chess.fla.preferences.<a href="org/polarsys/chess/fla/preferences/FlaParameters.html" title="class in org.polarsys.chess.fla.preferences"><span class="typeNameLink">FlaParameters</span></a> (implements java.io.Serializable)</li>
<li type="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<ul>
<li type="circle">org.eclipse.ui.plugin.AbstractUIPlugin
<ul>
<li type="circle">org.polarsys.chess.fla.launch.<a href="org/polarsys/chess/fla/launch/Activator.html" title="class in org.polarsys.chess.fla.launch"><span class="typeNameLink">Activator</span></a></li>
<li type="circle">org.polarsys.chess.fla.<a href="org/polarsys/chess/fla/Activator.html" title="class in org.polarsys.chess.fla"><span class="typeNameLink">Activator</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.polarsys.chess.fla.transformations.<a href="org/polarsys/chess/fla/transformations/QVToTransformation.html" title="class in org.polarsys.chess.fla.transformations"><span class="typeNameLink">QVToTransformation</span></a></li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">org.polarsys.chess.fla.common.<a href="org/polarsys/chess/fla/common/FlaAnalysisException.html" title="class in org.polarsys.chess.fla.common"><span class="typeNameLink">FlaAnalysisException</span></a></li>
<li type="circle">org.polarsys.chess.fla.common.<a href="org/polarsys/chess/fla/common/TransformationException.html" title="class in org.polarsys.chess.fla.common"><span class="typeNameLink">TransformationException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
